Scala Compiler2.13.5 < Back


# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package fsc
  Definition Classes
    nsc
- CompileClient
- CompileOutputCommon
- CompileServer
- CompileSocket
- DaemonKiller
- FscSettings
- HasCompileSocket
- OfflineCompilerCommand
- ResidentScriptRunner
- Socket
- SocketServer
- StandardCompileClient
- StandardCompileServer

c

scala.tools.nsc.fsc

# DaemonKiller

###

#### final class DaemonKiller extends ScriptRunner

Source
  ResidentScriptRunner.scala

Linear Supertypes
ScriptRunner, AnyRef, Any
Type Hierarchy

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. DaemonKiller
2. ScriptRunner
3. AnyRef
4. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new DaemonKiller(settings: GenericRunnerSettings)

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from DaemonKiller toany2stringadd[DaemonKiller] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (DaemonKiller, B)
   Implicit
     This member is added by an implicit conversion from DaemonKiller toArrowAssoc[DaemonKiller] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
7.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
8.  def ensuring(cond: (DaemonKiller) => Boolean, msg: => Any): DaemonKiller
   Implicit
     This member is added by an implicit conversion from DaemonKiller toEnsuring[DaemonKiller] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring
9.  def ensuring(cond: (DaemonKiller) => Boolean): DaemonKiller
   Implicit
     This member is added by an implicit conversion from DaemonKiller toEnsuring[DaemonKiller] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring
10.  def ensuring(cond: Boolean, msg: => Any): DaemonKiller
    Implicit
      This member is added by an implicit conversion from DaemonKiller toEnsuring[DaemonKiller] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
11.  def ensuring(cond: Boolean): DaemonKiller
    Implicit
      This member is added by an implicit conversion from DaemonKiller toEnsuring[DaemonKiller] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
12.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
13.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
14.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
15.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from DaemonKiller toStringFormat[DaemonKiller] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
16.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
17.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
18.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
19.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
20.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
21.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
22.  def runScript(script: String, scriptArgs: List[String]): Option[Throwable]

    Run a script file by name, with the given arguments.

    Run a script file by name, with the given arguments.

    returns

      optionally an error, None for success

    Definition Classes
      DaemonKiller → ScriptRunner
23.  def runScriptText(script: String, scriptArgs: List[String]): Option[Throwable]

    Run the script text as supplied, with the given arguments.

    Run the script text as supplied, with the given arguments.

    returns

      optionally an error, None for success

    Definition Classes
      DaemonKiller → ScriptRunner
24.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
25.  def toString(): String
    Definition Classes
      AnyRef → Any
26.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
27.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
28.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Deprecated Value Members

1.  def →[B](y: B): (DaemonKiller, B)
   Implicit
     This member is added by an implicit conversion from DaemonKiller toArrowAssoc[DaemonKiller] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @deprecated
   Deprecated

     (Since version 2.13.0) Use `->` instead. If you still wish to display it as one character, consider using a font with programming ligatures such as Fira Code.

### Inherited from ScriptRunner

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd fromDaemonKiller to any2stringadd[DaemonKiller]

### Inherited by implicit conversion StringFormat fromDaemonKiller to StringFormat[DaemonKiller]

### Inherited by implicit conversion Ensuring fromDaemonKiller to Ensuring[DaemonKiller]

### Inherited by implicit conversion ArrowAssoc fromDaemonKiller to ArrowAssoc[DaemonKiller]

### Ungrouped